Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162579 - Anaconda hangs during kickstart NFS installation
Summary: Anaconda hangs during kickstart NFS installation
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda-product
Version: 2.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-06 14:32 UTC by wayne.davis
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-08 18:49:01 UTC


Attachments (Terms of Use)
anaconda dump to floppy (deleted)
2005-07-06 14:32 UTC, wayne.davis
no flags Details

Description wayne.davis 2005-07-06 14:32:05 UTC
Description of problem:
Anaconda fails kickstart NFS installation with:

An unhandled exception has occured.  This is most likely a bug.
Please save the crash dump and file a detailed report against
redhat-config-network at https://bugzilla.redhat.com/bugzilla

Anaconda fails kickstart NFS installation with:

An unhandled exception has occured.  This is most likely a bug.
Please save the crash dump and file a detailed report against
redhat-config-network at https://bugzilla.redhat.com/bugzilla

Version-Release number of selected component (if applicable):
kernel-2.4.9-e.57

How reproducible:
Always

Steps to Reproduce:
1. boot from CD or floppy boot disk
2. Enter linux ks at boot prompt

  

Actual Results:  An unhandled exception has occured.  This is most likely a bug.
Please save the crash dump and file a detailed report against
redhat-config-network at https://bugzilla.redhat.com/bugzilla/


  

Additional info:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 668, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 364, in run
    (step, args) = dispatch.currentStep()
  File "/usr/lib/anaconda/dispatch.py", line 243, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 112, in readPackages
    id.instClass.setPackageSelection(id.hdList)
  File "/usr/lib/anaconda/kickstart.py", line 851, in setPackageSelection
    hdlist[n].select()
  File "/usr/lib/anaconda/comps.py", line 153, in __getitem__
    return self.packages[item]
KeyError: libgcc

Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 82756a0>
item: libgcc

Comment 1 wayne.davis 2005-07-06 14:32:05 UTC
Created attachment 116411 [details]
anaconda dump to floppy

Comment 2 Jeremy Katz 2005-07-08 18:49:01 UTC
You have bad media -- see the following messages in the kernel syslog:

<4>hdc: packet command error: status=0x51 { DriveReady SeekComplete Error }
<4>hdc: packet command error: error=0x54
<4>ATAPI device hdc:
<4>  Error: Illegal request -- (Sense key=0x05)


Note You need to log in before you can comment on or make changes to this bug.